Name:           glite-jobid-api-c
Version:        2.2.13
Release:        1.git20140708%{?dist}
Summary:        C library handling gLite jobid

Group:          System Environment/Libraries
License:        ASL 2.0
URL:            http://glite.cern.ch
Vendor:         EMI
Source:         http://scientific.zcu.cz/emi/emi.jobid.api-c/%{name}-%{version}.tar.gz
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  libtool
BuildRequires:  cppunit-devel
BuildRequires:  openssl-devel
BuildRequires:  perl
BuildRequires:  perl(Getopt::Long)
BuildRequires:  perl(POSIX)
BuildRequires:  pkgconfig

%description
C library handling gLite
jobid.


%package        devel
Summary:        Development files for gLite jobid C library
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
This package contains development libraries and header files for gLite jobid
C library.


%prep
%setup -q


%build
perl ./configure --root=/ --prefix=%{_prefix} --libdir=%{_lib} --project=emi
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make %{?_smp_mflags}


%check
CFLAGS="%{?optflags}" LDFLAGS="%{?__global_ldflags}" make check


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc ChangeLog LICENSE
%{_libdir}/libglite_jobid.so.2
%{_libdir}/libglite_jobid.so.2.*

%files devel
%defattr(-,root,root)
%dir %{_includedir}/glite
%dir %{_includedir}/glite/jobid
%{_includedir}/glite/jobid/strmd5.h
%{_includedir}/glite/jobid/cjobid.h
%{_libdir}/libglite_jobid.so


%changelog
* Mon Jul 07 2014 CESNET Product Teams <emi-lb@metacentrum.cz> - 2.2.13-1.git20140708
- automatically generated package
